VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes
VisimBuilder.ObjectCreation.RingCreation Class Reference
Inheritance diagram for VisimBuilder.ObjectCreation.RingCreation:

List of all members.

## Public Member Functions
| RingCreation ()
override void | SetDefault ()
override Node | ObjectCreation (string name, ITransformation itrans, Type VertexType, PhysBodyType physbody, PhysSettingsEdit physsettings, BoundingObjectType bounding, IRenderMaterial mat, Node owner)
Vector3 | ParseString (string str)
## Public Attributes
float | Radius
Vector3 | Center
## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used.
## Protected Attributes
System.Windows.Forms.TrackBar | trackBar1
System.Windows.Forms.TextBox | textBoxSphereRadius
System.Windows.Forms.TextBox | textBoxSphereCenter

## Constructor & Destructor Documentation

VisimBuilder.ObjectCreation.RingCreation.RingCreation | ( |  | ) |

## Member Function Documentation

override void VisimBuilder.ObjectCreation.RingCreation.Dispose | ( | bool | disposing | ) | `[protected]`

Clean up any resources being used.

Parameters:

  disposing | true if managed resources should be disposed; otherwise, false.

Reimplemented from VisimBuilder.ObjectCreation.ObjectCreationBasePhysical.

override Node VisimBuilder.ObjectCreation.RingCreation.ObjectCreation | ( | string | name,
|  | ITransformation | itrans,
|  | Type | VertexType,
|  | PhysBodyType | physbody,
|  | PhysSettingsEdit | physsettings,
|  | BoundingObjectType | bounding,
|  | IRenderMaterial | mat,
|  | Node | owner
| ) |  | `[virtual]`

Reimplemented from VisimBuilder.ObjectCreation.ObjectCreationBasePhysical.

Vector3 VisimBuilder.ObjectCreation.RingCreation.ParseString | ( | string | str | ) |

override void VisimBuilder.ObjectCreation.RingCreation.SetDefault | ( |  | ) | `[virtual]`

Reimplemented from VisimBuilder.ObjectCreation.ObjectCreationBasePhysical.

## Member Data Documentation

Vector3 VisimBuilder.ObjectCreation.RingCreation.Center

float VisimBuilder.ObjectCreation.RingCreation.Radius

System.Windows.Forms.TextBox VisimBuilder.ObjectCreation.RingCreation.textBoxSphereCenter`[protected]`

System.Windows.Forms.TextBox VisimBuilder.ObjectCreation.RingCreation.textBoxSphereRadius`[protected]`

System.Windows.Forms.TrackBar VisimBuilder.ObjectCreation.RingCreation.trackBar1`[protected]`

The documentation for this class was generated from the following files:

- RingCreation.cs
- RingCreation.Designer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events